%define module	Net-CIDR-Lite
%define name	perl-%{module}
%define version 0.18
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension for merging IPv4 or IPv6 CIDR addresses
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/D/DO/DOUGW/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Faster alternative to Net::CIDR when merging a large number of CIDR address
ranges. Works for IPv4 and IPv6 addresses.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Net
%{_mandir}/*/*

%changelog
* Wed Jun 01 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdk
- New release 0.18
- spec cleanup
- make test in %%check

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.15-2mdk
- fix buildrequires in a backward compatible way

* Sun Nov 14 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.15-1mdk 
- first mdk release
